#include "sims_world.h"
#include "TempletAssemble.h"
#include <QtWidgets/QApplication>
#include "BehaviorEditor.h"
#include <MessageLoader.h>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    BehaviorsPresent w;
    w.show();

    auto loader = std::make_shared<MessageLoader>();
    auto kernal = std::make_shared<MapKernal>(loader);

    auto root = std::make_shared<BehaviorMapNode>(kernal);
    root->setID(0);
	
    auto seqs = std::make_shared<SequenceNode>();
    seqs->setID(10);
	root->insert(seqs);
    
	auto seqsx = std::make_shared<SequenceNode>();
	seqsx->setID(100);
    seqs->insert(seqsx);

	auto selex = std::make_shared<SelectorNode>();
    selex->setID(101);
    seqs->insert(selex);

    auto parallel = std::make_shared<ParallelNode>();
    parallel->setID(1000);
    selex->insert(parallel);
	parallel = std::make_shared<ParallelNode>();
	parallel->setID(1001);
	selex->insert(parallel);

	auto item = std::make_shared<CompareNode>();
	item->setID(10000);
	parallel->insert(item);
	item = std::make_shared<CompareNode>();
	item->setID(10001);
	parallel->insert(item);

    w.setRoot(root);

    return a.exec();
}
